ISOQUERY(1)

NAVN
isoquery - Søk etter forskjellige ISO-koder (land, språk, …)

OVERSIKT

isoquery [OPTION …] [ISO codes]

BESKRIVELSE

Denne manualen tar for seg isoquery-kommandoen. Den kan brukes til å generere tabulert utdata av koder fra ISO-standarden, tilbudt av iso-codes-pakken. Den tolker JSON-filer og viser alle inkluderte ISO-koder, eller kun jamførte oppføringer (hvis det er angitt i kommandolinjen). Det er også mulig å få alle tilgjengelige oversettelser av ISO-standarden.

ALTERNATIVER

Dette programmet følger GNU-kommandolinjesyntaksen, med lange alternativer innledet av to bindestreker ('-'). isoquery støtter følgende alternativer:

-i, --iso=STANDARD
    ISO-standarden å bruke. Mulige verdier: 639-2, 639-3, 639-5, 3166-1, 3166-2, 3166-3, 4217, 15924 (forvalg: 3166-1)

-p, --pathname=PATHNAME
    Bruk PATHNAME som prefiks for datafilene (forvalg: /usr/share/iso-codes/json)

-l, --locale=LOKALET
    Bruk dette LOKALET for utdata

-n, --name
    Navn på de angitte kodene (forvalg)

-o, --official_name
    Offisielt navn på angitte koder. Dette kan være det samme som --name (har kun innvirkning for ISO 3166-1)

-c, --common_name
    Gjengs navn for de angitte kodene. Dette kan være det samme som --name (har kunn innvirkning for ISO 639-2, 639-3, og 3166-1)

-0, --null
    Del inn oppføringer med et NULL-tegn istedenfor nylinje

-f, --flag
    Vis landsflagg med stedsegne indikatorsymbols bokstaver (har kun innfirkning for ISO 3166-1)

-h, --help
    Vis et sammendrag over alternativer

-v, --version
    Vis programversjon og opphavsrett

EKSEMPLER

Hvis det kalles uten noen kommandolinjealternativer vil isoquery skrive ut en tabell over alle ISO 3166-1-koder. De første tre kolonnene inneholder alfa-2-koden, alfa-3-koden, og tallkoden tildelt landet som er å finne i den fjerde kolonnen.

    $ isoquery
    AW      ABW     533     Aruba
    […]
    ZW      ZWE     716     Zimbabwe

Hvis du kun trenger noen land, kan du angi koder i de første tre kolonnene for å begrense utdata-omfanget.

    $ isoquery so nor 484
    SO      SOM     706     Somalia
    NO      NOR     578     Norway
    MX      MEX     484     Mexico

Hvis du trenger oversettelser av landsnavnene kan du angi dette i det LOCALET du ønsker utdata i. Merk at det opprinnelige Engelske navnet vil vises hvis det ikke finnes noen tilgjengelig oversettelse for angitt LOCALET.

    $ isoquery --locale=nl fr de es
    FR      FRA     250     Frankrijk
    DE      DEU     276     Duitsland
    ES      ESP     724     Spanje

Hvis terminalen din støtter lokale symbolindikatorbokstaver fra Unicode kan du bruke --flag-kommandolinjevalget. De bokstavene kan vises som landsflagg.

    $ isoquery --flag --locale=nl fr de es
    FR      FRA     250     🇫🇷      Frankrijk
    DE      DEU     276     🇩🇪      Duitsland
    ES      ESP     724     🇪🇸      Spanje

Alt ovenfor fungerer også for forskjellige ISO-standarder, så du kan bytte til den mer rikholdige ISO 3166-2 ved å bruke --iso-kommandolinjevalget. Kolonnene er i ISO 3166-2-kode, regionsinndeling (f.eks. stat, provins, osv.), høyere inndeling, og navn. Den tredje kolonnen (høyere inndeling) kan være tom.

    $ isoquery --iso=3166-2
    AD-02   Parish          Canillo
    […]
    ZW-MW   Province        Mashonaland West

Koder som har blitt slettet fra ISO 3166-1 er tilgjengelige i ISO 3166-3. Kolonnene er alfa-3-kode, alfa-4-kode, tallkode, kommentar, innhentingsdato, og navn. Kolonnene for tallkode, kommentar, og innhentingsdato kan være tomme.

    $ isoquery --iso=3166-3
    AFI     AIDJ    262             1977    French Afars and Issas
    ANT     ANHH    532             1993-07-12      Netherlands Antilles
    […]
    YUG     YUCS    891             1993-07-28      Yugoslavia, Socialist Federal Republic of
    ZAR     ZRCD    180             1997-07-14      Zaire, Republic of

For ISO 639-2 er de første tre kolonnene alfa-3-kode, bibliografikode, og alfa-2-koden. Den andre og tredje kolonnen kan være tom.

    $ isoquery --iso=639-2
    aar             aa      Afar
    abk             ab      Abkhazian
    ace                     Achinese
    […]
    zun                     Zuni
    zxx                     No linguistic content; Not applicable
    zza                     Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Du kan korte ned resultatet ved å kun angi noen koder. Alternativt kan du også få dem i oversatt versjon.

    $ isoquery --iso=639-2 --locale=pt vi bo kl
    vie             vi      Vietnamita
    bod     tib     bo      tibetano
    kal             kl      Kalaallisut; Greenlandic

Hvis du vil bruke ISO 639-3 er de viste kolonnene alfa-3, omfang, type, alfa-2, bibliografisk, og språknavnet. Både alfa-2 og bibliografisk navn kan være tomme.

    $ isoquery -i 639-3 aal new spa guc
    aal     I       L                       Afade
    new     I       L                       Newari
    spa     I       L       es              Spanish
    guc     I       L                       Wayuu

ISO 639-5 is also available. The displayed columns are alpha-3 and name.

    $ isoquery -i 639-5 aus tut
    aus     Australian languages
    tut     Altaic languages

You can get selected translations of currency names from the ISO 4217 standard by using the following command. The first of the columns is the alpha-3 code, and the second one is the numerical code assigned to the currency. The name of the currency is shown in the third column.

    $ isoquery --iso=4217 --locale=da cad 392
    CAD     124     Canadisk dollar
    JPY     392     Yen

If you need to get script names, you can use the ISO 15924 table. The first of the columns is the alpha-4 code, and the second one is the numerical code assigned to the script. The name of the script is shown in the third column.

    $ isoquery --iso=15924 jpan latn 280
    Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
    Latn    215     Latin
    Visp    280     Visible Speech

FILER

Som forvalg vil JSON-filer som tilbys av iso-codes bli brukt.

    • /usr/share/iso-codes/json/iso_639-2.json

    • /usr/share/iso-codes/json/iso_639-3.json

    • /usr/share/iso-codes/json/iso_639-5.json

    • /usr/share/iso-codes/json/iso_3166-1.json

    • /usr/share/iso-codes/json/iso_3166-2.json

    • /usr/share/iso-codes/json/iso_3166-3.json

    • /usr/share/iso-codes/json/iso_4217.json

    • /usr/share/iso-codes/json/iso_15924.json

UTVIKLER

Dr. Tobias Quathamer

OVERSETTELSE

Allan Nordhøy